cascading.flow.planner.process

## Class ProcessModels

- java.lang.Object
- - cascading.flow.planner.process.ProcessModels

-     public class ProcessModels
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessModels()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isIdentity(ProcessModel process)` Does the given process perform any work?
    `static boolean` | `isIdentity(ProcessModel process, java.lang.Class<? extends FlowElement> excludingType)` Does the given process perform any work?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessModels

          public ProcessModels()

  - ### Method Detail

    - #### isIdentity

          public static boolean isIdentity(ProcessModel process,
                           java.lang.Class<? extends FlowElement> excludingType)

      Does the given process perform any work?
      Parameters:
        `process` -
        `excludingType` -
      Returns:

    - #### isIdentity

          public static boolean isIdentity(ProcessModel process)

      Does the given process perform any work?
      Parameters:
        `process` -
      Returns:

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.